Subject: [Sipping] [Fwd: Review: draft-ietf-sipping-toip-04.txt: Tackling the framework]

From: "Tom-PT Taylor" <[email-masked]>
Date: Sun, 02 Jul 2006 18:58:28 -0700

Tom Taylor wrote:
> Gunnar and Guido, I assume Arnoud has passed you my earlier comments. 
> Aside from the one I made to the list a month ago, there was a 
> preliminary note plus two detailed sets of proposals for text changes up 
> through section 5.
> 
> This note is a beginning on section 6, which has given me considerable 
> difficulty because so much of it seems to be written at the same level 
> as section 5 but say different things. What I see in there is:
>  -- some motivational text;
>  -- implementation details;
>  -- a lot of requirements language.
> 
> It seems to me that requirements language in this section should be 
> limited to the selection of implementation options. I would also be 
> inclined to suggest the use of lower-case "must" etc. in this section. 
> Anything that is more in the way of a system requirement should be in 
> section 5. I think you'll find that a lot of redundancy (and occasional 
> contradictions) will get removed in that way.
> 
> The document is generally well organized around the components of the 
> complete system for providing ToIP services. I would suggest tightening 
> up the last little bit by explicitly listing those components in a 
> section before the present section 5, then organizing both section 5 and 
> section 6 around it. Here is my picture of those system components:
> 
> 1. User interface
>    Sub-topics: configuration, session initiation and control, alerts and 
> indicators.
> 
> 2. Communications subsystem
>    Sub-topics: signalling capabilities, rendezvous capabilities, media 
> capabilities
> 
> 3. Storage
>    Sub-topics: message taking, recording
> 
> 4. Transcoding support
> 
> 5. Conferencing support
> 
> 6. Interworking
>    Sub-topics: PSTN text phones, cellular, instant messaging.
> 
> I guess I will proceed from here by commenting on and classifying the 
> contents of section 6, paragraph by paragraph. There will generally be 
> no point in my suggesting alternate text, since if I am right in what 
> I've said above there is a fair amount of moving of text and rewriting 
> to be done.
> 
> Tom
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP